Skip to main content
`Ctrl`+`K`

# vispy.app.qt module

class vispy.app.qt.QtCanvas(parent=None, canvas=None, **kwargs)

  Bases: `QWidget`

  Qt widget containing a vispy Canvas.

  This is a convenience class that allows a vispy canvas to be embedded directly into a Qt application. All methods and properties of the Canvas are wrapped by this class.

  Parameters:
    parent QWidget or None

      The Qt parent to assign to this widget.

    canvas instance or subclass of Canvas

      The vispy Canvas to display inside this widget, or a Canvas subclass to instantiate using any remaining keyword arguments.

  update()

    Call update() on both this widget and the internal canvas.

class vispy.app.qt.QtSceneCanvas(parent=None, **kwargs)

  Bases: `QtCanvas`

  Convenience class embedding a vispy SceneCanvas inside a QWidget. See QtCanvas.